com.aliyun.svideosdk.common.struct.effect

## Class EffectCaption

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.EffectBase
  - - com.aliyun.svideosdk.common.struct.effect.EffectPaster
    - - com.aliyun.svideosdk.common.struct.effect.EffectText
      - - com.aliyun.svideosdk.common.struct.effect.EffectCaption

-     public class EffectCaption
      extends EffectText

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `gifViewId`
    `long` | `preBegin` The preset time when the text appears on the stream timeline.
    `long` | `preEnd` The preset time when the text disappears on the stream timeline.
    `long` | `textBegin` The time when the text appears on the stream timeline.
    `int` | `textCenterX` The x coordinate of the centroid of the text in the screen coordinate system.
    `int` | `textCenterY` The y coordinate of the centroid of the text in the screen coordinate system.
    `long` | `textEnd` The time when the text disappears on the stream timeline.
    `float` | `textRotation` The rotation angle of the text.

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.effect.EffectText

      `bitmapScale, breakStrategy, dTextColor, dTextStrokeColor, font, fontSource, hasLabel, hasStroke, mBackgroundBmp, mBackgroundBmpPath, mIncludePad, mSpacingAdd, mSpacingMult, mTextAlignment, mTextMaxLines, mTextPaddingX, mTextPaddingY, mTextSize, needSaveBmp, text, textAlignment, textBmpPath, textColor, textHeight, textLabelColor, textStrokeColor, textWidth, useLineSpacingFromFallbacks`

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.effect.EffectPaster

      `action, displayHeight, displayWidth, duration, end, frameArry, height, isTrack, kernelFrame, mirror, name, PASTER_TYPE_CAPTION, PASTER_TYPE_GIF, PASTER_TYPE_IMAGE, PASTER_TYPE_TEXT, rotation, start, timeArry, width, x, y`

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.effect.EffectBase

      `mSource, resId, viewId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EffectCaption(Source source)`
    `EffectCaption(java.lang.String path)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copy(EffectBase base)` Gets a copy of the parameters of an object.
    `int` | `getPasterType()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.effect.EffectText

      `generateTextFinger, getFontPath, getFontSource`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.effect.EffectPaster

      `equals, getHeightRatio, getWidthRatio, getXRatio, getYRatio, setHeightRatio, setWidthRatio, setXRatio, setYRatio, toEffectSticker`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.effect.EffectBase

      `checkIsInvalid, getPath, getResId, getSource, getViewId, readString, setPath, setResId, setSource, setViewId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### gifViewId

          public int gifViewId

    - #### textBegin

          public long textBegin

      The time when the text appears on the stream timeline.

    - #### textEnd

          public long textEnd

      The time when the text disappears on the stream timeline.

    - #### preBegin

          public long preBegin

      The preset time when the text appears on the stream timeline. This setting is configured in the configuration file.

    - #### preEnd

          public long preEnd

      The preset time when the text disappears on the stream timeline. This setting is configured in the configuration file.

    - #### textCenterX

          public int textCenterX

      The x coordinate of the centroid of the text in the screen coordinate system.

    - #### textCenterY

          public int textCenterY

      The y coordinate of the centroid of the text in the screen coordinate system.

    - #### textRotation

          public float textRotation

      The rotation angle of the text.

  - ### Constructor Detail

    - #### EffectCaption

          @Deprecated
          public EffectCaption(java.lang.String path)

      Deprecated.

    - #### EffectCaption

          public EffectCaption(Source source)

  - ### Method Detail

    - #### getPasterType

          public int getPasterType()

      Overrides:
        `getPasterType` in class `EffectText`

    - #### copy

          public void copy(EffectBase base)

      Description copied from class: `EffectBase`
      Gets a copy of the parameters of an object.
      Overrides:
        `copy` in class `EffectText`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `EffectText`